import request from '@/utils/request'

export default {
    getEleRateDetail() {
        return request({
            url: '/energy-boot/rate/getEleRateDetail',
            method: 'get',
            // params: data,
        })
    },
    add(data) {
        return request({
            url: '/energy-boot/rate/add',
            method: 'post',
            data: data,
        })
    },
    getEleStatisticalDetail() {
        return request({
            url: '/energy-boot/statistical/getEleStatisticalDetail',
            method: 'get',
            // data: data,
        })
    },
    getEleStatisticalTree(data) {
        return request({
            url: '/energy-boot/statistical/getEleStatisticalTree',
            method: 'post',
            data: data,
        })
    },
    getEleStatisticalAdd(data) {
        return request({
            url: '/energy-boot/statistical/add',
            method: 'post',
            data: data,
        })
    },
    getIntegrityTree(data) {
        return request({
            url: '/energy-boot/integrity/getIntegrityTree',
            method: 'post',
            params: data,
        })
    },
    getEleLoadSetDetail() {
        return request({
            url: '/energy-boot/loadset/getEleLoadSetDetail',
            method: 'get',
            // params: data,
        })
    },
    getEleLoadSetTree(data) {
        return request({
            url: '/energy-boot/loadset/getEleLoadSetTree',
            method: 'post',
            data: data,
        })
    },
    getEleLoadSetTreeAdd(data) {
        return request({
            url: '/energy-boot/loadset/add',
            method: 'post',
            data: data,
        })
    },
    getLoadTendency(data) {
        return request({
            url: '/energy-boot/advance/getLoadTendency',
            method: 'get',
            params: data,
        })
    },
    getLoadDetail(data) {
        return request({
            url: '/energy-boot/advance/getLoadDetail',
            method: 'get',
            params: data,
        })
    },
    getLoadStatistics(data) {
        return request({
            url: '/energy-boot/advance/getLoadStatistics',
            method: 'post',
            data: data,
        })
    },
    addAirStrategy(data) {
        return request({
            url: '/energy-boot/air/add',
            method: 'post',
            data: data,
        })
    },
    updateAirStrategy(data) {
        return request({
            url: '/energy-boot/air/update',
            method: 'post',
            data: data,
        })
    },
    delAirStrategy(param) {
        return request({
            url: '/energy-boot/air/delete',
            method: 'get',
            params: { id: param },
        })
    },
    listAirStrategy(data) {
        return request({
            url: '/energy-boot/air/list',
            method: 'post',
            data: data,
        })
    },
    getAirStrategyInfo(param) {
        return request({
            url: '/energy-boot/air/getAirStrategyInfo',
            method: 'get',
            params: { id: param },
        })
    },
    getAirLineTree() {
        return request({
            url: '/energy-boot/air/getAirLineTree',
            method: 'get'
        })
    },
    getOnlineRateTree(data) {
        return request({
            url: '/energy-boot/onlineRate/getOnlineRateTree',
            method: 'post',
            params: data
        })
    },

    startAirStrategy(param) {
        return request({
            url: '/energy-boot/air/startAirStrategy',
            method: 'get',
            params: { id: param },
        })
    },

    stopAirStrategy(param) {
        return request({
            url: '/energy-boot/air/stop',
            method: 'get',
            params: { id: param },
        })
    },

    getElectTendency(data) {
        return request({
            url: '/energy-boot/advance/getElectTendency',
            method: 'get',
            params: data
        })
    },
    getElectCompare(data) {
        return request({
            url: '/energy-boot/advance/getElectCompare',
            method: 'post',
            data: data
        })
    },
    getElectStatistic(data) {
        return request({
            url: '/energy-boot/advance/getElectStatistic',
            method: 'post',
            data: data
        })
    },
    getAirTendency(data) {
        return request({
            url: '/energy-boot/advance/getAirTendency',
            method: 'get',
            params: data
        })
    },
    getLoadRate(data) {
        return request({
            url: '/energy-boot/advance/getLoadRate',
            method: 'post',
            params: data
        })
    },
    getElectRate(data) {
        return request({
            url: '/energy-boot/advance/getElectRate',
            method: 'post',
            data: data
        })
    },






}